Subject: Re: linux-next: Tree for Jul 4

From: Greg Kroah-Hartman <[email-masked]>
Date: Thu, 4 Jul 2019 14:40:05 +0200

On Thu, Jul 04, 2019 at 10:24:50PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> This release produces a whole lot (over 200) of this message in my qemu
> boot tests:
> 
> [    1.698497] debugfs: File 'sched' already present!
> 
> Introduced by commit
> 
>   43e23b6c0b01 ("debugfs: log errors when something goes wrong")
> 
> from the driver-core tree.  I assume that the error(?) was already
> happening, but it is now being reported.

Ugh.

Looks like it's one of the block scheduler, and it seems to be creating
that directory in the root of debugfs, not in a subdir like it is trying
to do so.  Odd, let me look into it some more.

Oh, and I guess we might want to move this down to a 'dev_dbg' message,
although this is showing that there is a problem here, so it did succeed
:)

thanks,

greg k-h